POST V1/Benchmarking.{ext}/SitesForBenchmarking?esWorkflowEnabled={esWorkflowEnabled}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
esWorkflowEnabled

No description available

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Benchmarking.Entities.SiteDataForBenchmarking
NameDescriptionTypeAdditional information
MetersForBenchmarking

List of meters for benchmarking

Collection of EMS.Benchmarking.Entities.MetersForBenchmarking

None.

BuildingsForBenchmarking

List of buildings for benchmarking

Collection of EMS.Benchmarking.Entities.BuildingsForBenchmarking

None.

Action

Action either Save or Edit

string

None.

Request Formats

application/json, text/json

Sample:
{
  "metersForBenchmarking": [
    {
      "siteId": "sample string 1",
      "buildingTypeId": "sample string 2",
      "meterNumber": "sample string 3",
      "utility": "sample string 4"
    },
    {
      "siteId": "sample string 1",
      "buildingTypeId": "sample string 2",
      "meterNumber": "sample string 3",
      "utility": "sample string 4"
    }
  ],
  "buildingsForBenchmarking": [
    {
      "siteId": "sample string 1",
      "buildingTypeId": "sample string 2",
      "buildingName": "sample string 3"
    },
    {
      "siteId": "sample string 1",
      "buildingTypeId": "sample string 2",
      "buildingName": "sample string 3"
    }
  ],
  "action": "sample string 1"
}

application/xml, text/xml

Sample:
<SiteDataForBenchmarking xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Benchmarking.Entities">
  <Action>sample string 1</Action>
  <BuildingsForBenchmarking>
    <BuildingsForBenchmarking>
      <BuildingName>sample string 3</BuildingName>
      <BuildingTypeId>sample string 2</BuildingTypeId>
      <SiteId>sample string 1</SiteId>
    </BuildingsForBenchmarking>
    <BuildingsForBenchmarking>
      <BuildingName>sample string 3</BuildingName>
      <BuildingTypeId>sample string 2</BuildingTypeId>
      <SiteId>sample string 1</SiteId>
    </BuildingsForBenchmarking>
  </BuildingsForBenchmarking>
  <MetersForBenchmarking>
    <MetersForBenchmarking>
      <BuildingTypeId>sample string 2</BuildingTypeId>
      <MeterNumber>sample string 3</MeterNumber>
      <SiteId>sample string 1</SiteId>
      <Utility>sample string 4</Utility>
    </MetersForBenchmarking>
    <MetersForBenchmarking>
      <BuildingTypeId>sample string 2</BuildingTypeId>
      <MeterNumber>sample string 3</MeterNumber>
      <SiteId>sample string 1</SiteId>
      <Utility>sample string 4</Utility>
    </MetersForBenchmarking>
  </MetersForBenchmarking>
</SiteDataForBenchmarking>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.